Domains / Domains
GET Domains abrufen API v1
Gibt alle zugewiesenen Domains zurück.
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v1/domain/domains"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("domain/domains");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST AuthCode abrufen API v1
Diese Funktion generiert einen AuthCode für die übergebene Domain.
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
domainName
|
Pflicht | Identifikator: Domain | Identifikator (name) des Objekts „Domain“. |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"domainName": "{domainName}"
}' \
"https://connect.nicapi.eu/api/v1/domain/domains/authcode"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("domain/domains/authcode", [
'domainName' => '{domainName}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Verfügbarkeit abfragen API v1
Diese Funktion fragt die Verfügbarkeit einer Domain ab.
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
domainName
|
Pflicht | Text |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"domainName": "text"
}' \
"https://connect.nicapi.eu/api/v1/domain/domains/check"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("domain/domains/check", [
'domainName' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Domain bestellen API v1
Diese Funktion bestellt eine Domain mit den übergebenen Werten.
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
domainName
|
Pflicht | Text | ||
ownerC
|
Pflicht | Identifikator: Domain-Handle (Kontakt) | Identifikator (handle) des Objekts „Domain Handle“. | |
adminC
|
Pflicht | Identifikator: Domain-Handle (Kontakt) | Identifikator (handle) des Objekts „Domain Handle“. | |
techC
|
Pflicht | Identifikator: Domain-Handle (Kontakt) | Identifikator (handle) des Objekts „Domain Handle“. | |
zoneC
|
Pflicht | Identifikator: Domain-Handle (Kontakt) | Identifikator (handle) des Objekts „Domain Handle“. | |
ns1
|
Pflicht | Identifikator: Nameserver | Identifikator (servername) des Objekts „Domain Nameserver“. | |
ns2
|
Pflicht | Identifikator: Nameserver | Identifikator (servername) des Objekts „Domain Nameserver“. | |
ns3
|
Optional |
Identifikator: Nameserver
darf leer (null) sein |
Identifikator (servername) des Objekts „Domain Nameserver“. | |
ns4
|
Optional |
Identifikator: Nameserver
darf leer (null) sein |
Identifikator (servername) des Objekts „Domain Nameserver“. | |
ns5
|
Optional |
Identifikator: Nameserver
darf leer (null) sein |
Identifikator (servername) des Objekts „Domain Nameserver“. | |
user
|
Optional |
Identifikator: Benutzer
darf leer (null) sein |
Identifikator (username) des Objekts „User“. | |
years
|
Optional | Ganzzahl |
mindestens 1
höchstens 10
|
|
create_zone
|
Optional |
Boolean (true/false)
darf leer (null) sein |
||
authinfo
|
Optional |
Text
darf leer (null) sein |
||
project_uuid
|
Optional |
Identifikator: Projekt
darf leer (null) sein |
Identifikator (uuid) des Objekts „Project“. |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"domainName": "text",
"ownerC": "{ownerC}",
"adminC": "{adminC}",
"techC": "{techC}",
"zoneC": "{zoneC}",
"ns1": "{ns1}",
"ns2": "{ns2}"
}' \
"https://connect.nicapi.eu/api/v1/domain/domains/create"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("domain/domains/create", [
'domainName' => 'text',
'ownerC' => '{ownerC}',
'adminC' => '{adminC}',
'techC' => '{techC}',
'zoneC' => '{zoneC}',
'ns1' => '{ns1}',
'ns2' => '{ns2}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Domain löschen API v1
Diese Funktion löscht eine Domain bzw. trägt eine Löschung zum übergebenen Datum ein.
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
domainName
|
Pflicht | Identifikator: Domain | Identifikator (name) des Objekts „Domain“. | |
date
|
Optional | Datum (YYYY-MM-DD) |
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"domainName": "{domainName}"
}' \
"https://connect.nicapi.eu/api/v1/domain/domains/delete"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("domain/domains/delete", [
'domainName' => '{domainName}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Domain aktualisieren API v1
Diese Funktion ändert die übergebene Domain auf die übergebenen Werte.
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
domainName
|
Pflicht | Identifikator: Domain | Identifikator (name) des Objekts „Domain“. | |
ownerC
|
Pflicht | Identifikator: Domain-Handle (Kontakt) | Identifikator (handle) des Objekts „Domain Handle“. | |
adminC
|
Pflicht | Identifikator: Domain-Handle (Kontakt) | Identifikator (handle) des Objekts „Domain Handle“. | |
techC
|
Pflicht | Identifikator: Domain-Handle (Kontakt) | Identifikator (handle) des Objekts „Domain Handle“. | |
zoneC
|
Pflicht | Identifikator: Domain-Handle (Kontakt) | Identifikator (handle) des Objekts „Domain Handle“. | |
ns1
|
Pflicht | Identifikator: Nameserver | Identifikator (servername) des Objekts „Domain Nameserver“. | |
ns2
|
Pflicht | Identifikator: Nameserver | Identifikator (servername) des Objekts „Domain Nameserver“. | |
ns3
|
Optional |
Identifikator: Nameserver
darf leer (null) sein |
Identifikator (servername) des Objekts „Domain Nameserver“. | |
ns4
|
Optional |
Identifikator: Nameserver
darf leer (null) sein |
Identifikator (servername) des Objekts „Domain Nameserver“. | |
ns5
|
Optional |
Identifikator: Nameserver
darf leer (null) sein |
Identifikator (servername) des Objekts „Domain Nameserver“. | |
user
|
Optional | Identifikator: Benutzer | Identifikator (username) des Objekts „User“. | |
project_uuid
|
Optional |
Identifikator: Projekt
darf leer (null) sein |
Identifikator (uuid) des Objekts „Project“. |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"domainName": "{domainName}",
"ownerC": "{ownerC}",
"adminC": "{adminC}",
"techC": "{techC}",
"zoneC": "{zoneC}",
"ns1": "{ns1}",
"ns2": "{ns2}"
}' \
"https://connect.nicapi.eu/api/v1/domain/domains/edit"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("domain/domains/edit", [
'domainName' => '{domainName}',
'ownerC' => '{ownerC}',
'adminC' => '{adminC}',
'techC' => '{techC}',
'zoneC' => '{zoneC}',
'ns1' => '{ns1}',
'ns2' => '{ns2}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Domain wiederherstellen API v1
Diese Funktion stellt eine Domain wieder her.
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
domainName
|
Pflicht | Identifikator: Domain | Identifikator (name) des Objekts „Domain“. |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"domainName": "{domainName}"
}' \
"https://connect.nicapi.eu/api/v1/domain/domains/restore"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("domain/domains/restore", [
'domainName' => '{domainName}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Einzelne Domain abrufen API v1
Gibt Informationen über eine einzelne Domain zurück.
Request-Parameter Werden als Query-Parameter übergeben.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
domainName
|
Pflicht | Identifikator: Domain | Identifikator (name) des Objekts „Domain“. |
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v1/domain/domains/show?domainName=%7BdomainName%7D"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("domain/domains/show", [
'domainName' => '{domainName}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Domains: Statistics API v1
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v1/domain/domains/statistics"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("domain/domains/statistics");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET TLDs abrufen API v1
Gibt alle verfügbaren TLDs zurück.
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v1/domain/domains/tlds"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("domain/domains/tlds");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Domains: Tlds Popular API v1
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v1/domain/domains/tlds/popular"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("domain/domains/tlds/popular");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Domainlöschung zurückziehen API v1
Diese Funktion nimmt eine eingetragene Löschung zu einer Domain zurück.
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
domainName
|
Pflicht | Identifikator: Domain | Identifikator (name) des Objekts „Domain“. |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"domainName": "{domainName}"
}' \
"https://connect.nicapi.eu/api/v1/domain/domains/undelete"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("domain/domains/undelete", [
'domainName' => '{domainName}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}